
#ifndef _SIGNALS_H
#define _SIGNALS_H

#include <time.h>

timer_t timerid;

int sigalrm_occurred=0;
int sigio_occurred=0;
int sigint_occurred=0;
int sigusr1_occurred=0;
int sigusr2_occurred=0;
int signal_occurred=0;

int Signal;

void signal_setup();
void cond_wait_for_signal ();
void signal_block();

void sigalrm_received (int);
void sigio_received (int);
void sigint_received (int);
void sigusr1_received (int);
void sigusr2_received (int);

void sigpipe_received (int);
void sigxxx_received (int);

#endif
