#ifndef _INCLINUXH_
#define _INCLINUXH_

#define BCOPY(s,d,n) memmove((d),(s),(n))
#define BZERO(b,n) memset((b),(0),(n))

#define AM_A32 0x09
#define AM_A24 0x39
#define AM_A16 0x29

#define PORTMAP

/* N.B. This should match CONFIG defined in init.c */
#define CONFIG "config"

typedef int WDOG_ID;            /* ptr to function returning int */

typedef int INT;
typedef char CHAR;

#ifdef MVME5500
/* Symbol table for statically linked register classes */

typedef struct symtab {
    char *symname;
    int (*symvalue)();
} REG_SYMTAB, *SYMTAB_ID;
#else

typedef struct symtab {
    char *symname;
    int (*symvalue)();
} REG_SYMTAB;

typedef char *SYMTAB_ID;

#endif

#endif
