


proc DrawStatsALL {} {

    set BAK $::DataAcquisition::ACQSERVER   ;# perserve

    set html "<p align=left>"
    append html "Select counter to monitor&nbsp&nbsp&nbsp"
    append html "<select name=COUNTER size=1 onChange=\"click_COUNTER(document.Stats, document.Stats.COUNTER.value)\">"

   for {set i 0} {$i < 64} {incr i} {
       set item $::DataAcquisitionStats::ITEM($i)
       if {$item != ""} {
           if {$i == $::DataAcquisitionStats::SelectedItem} {
               append html "<option value=$i selected>$item</option>"
           } else {
               append html "<option value=$i>$item</option>"
           }
       }
   }

    append html "</select>"
    append html "</p>"
         
#   first counters

    append html "<p align=center>"

    append html "<font size=4><b>Counter</b></font>"

    append html "<table cellpadding=0 cellspacing=0 border=1 width=100%>"

        set j 0
        foreach item $::DataAcquisition::ACQSERVERS  {

            set ::DataAcquisition::ACQSERVER $item
            set counters [::DataAcquisitionStats::do_counters]
            set counter [lindex $counters $::DataAcquisitionStats::SelectedItem]

            if {$j == 0} {append html "<tr>"}

            append html "<td width=25% align=center>"

            append html "<table cellpadding=0 cellspacing=0 border=0 width=100%>"
            append html "<tr>"
            append html "<td align=left width=75%><font size=2>$item</font></td>"
            append html "<td align=left width=25%><font size=2>$counter</font></td>"
            append html "</tr>"
            append html "</table>"

            append html "</td>"

            incr j
            if {$j == 4} {append html "</tr>"; set j 0}
        }

    append html "</tr>"
    append html "</table>"

    append html "</p>"

#   then rates 

    append html "<p align=center>"

    append html "<font size=4><b>Rate</b></font>"

    append html "<table cellpadding=0 cellspacing=0 border=1 width=100%>"

        set j 0
        foreach item $::DataAcquisition::ACQSERVERS  {

            set ::DataAcquisition::ACQSERVER $item
            set rates [::DataAcquisitionStats::do_rates]
            set rate [lindex $rates $::DataAcquisitionStats::SelectedItem]

            if {$j == 0} {append html "<tr>"}

            append html "<td width=25% align=center>"

            append html "<table cellpadding=0 cellspacing=0 border=0 width=100%>"
            append html "<tr>"
            append html "<td align=left width=75%><font size=2>$item</font></td>"
            append html "<td align=left width=25%><font size=2>$rate</font></td>"
            append html "</tr>"
            append html "</table>"

            append html "</td>"

            incr j
            if {$j == 4} {append html "</tr>"; set j 0}
        }

    append html "</tr>"
    append html "</table>"

    append html "</p>"

    set ::DataAcquisition::ACQSERVER $BAK   ;#  restore 

    return $html
}
    
