

#ifndef MIN_MODULE
#define MIN_MODULE 1
#define MAX_MODULE 32
#endif

/*    common variables used by S9418 readout code  */
short LastEventCounter;
short CurrentEventCounter;
short ThisEventCounter;

long NextEventNumber;   /*  VXI readout  */

int Items[MAX_MODULE+1];
int EvCount[MAX_MODULE+1];
int VsnError[MAX_MODULE+1];
int WordCountError[MAX_MODULE+1];

#ifdef USETHREADS
int Accept[MAX_MODULE+1];
int Flush[MAX_MODULE+1];
#else
int Accept;
int Flush;
#endif

#define FIFOBUFFERLENGTH 512
#define FIFOBUFFERITEM 64

unsigned int User_FifoBuffer[FIFOBUFFERLENGTH];
unsigned int User_FifoBufferPtr;

void ClearConfig ();
void DefineConfig (char *);
void PrintConfig ();


/*   end of common variables  */

