
#ifndef _SIGBUS_H
#define _SIGBUS_H

#ifndef WIN32
LOCAL jmp_buf  jmpEnv;     /* to restore context after SIGBUS and SIGSEV errors  */
#endif

void sigbus_received (int);
void sigsegv_received (int);
void sigpipe_received (int);
void sigtrapandquit (char *);
void sigtrap (char *);
void sigtrapset (char *);

char sigtrapreason [80];

/*    counters for the number of SIGBUS and SIGSEGV errors   */

int Location = 0;       /* for locating cause */

int sigbuscounter = 0;
int sigsegvcounter = 0;
int sigpipecounter = 0;

#define SIGBUSLIMIT  5
#define SIGSEGVLIMIT  5
#define SIGPIPELIMIT 5
#define TRAPLIMIT 8

#endif
