
#ifndef __libWinDL_h__
#define __libWinDL_h__

#ifdef __cplusplus
extern "C"
{
#endif

void bcopyBytes (char  *source, char  *destination, int   nbytes);
void bcopyWords (char  *source, char  *destination, int   nwords);
void bcopyLongs (char  *source, char  *destination, int   nlongs);

int iround(double);

STATUS taskLock();
STATUS taskUnlock();
STATUS taskDelay (int ticks);

#ifdef WIN32
#ifndef uint32_t 
#define uint32_t unsigned int
#endif
#ifndef uint16_t
#define uint16_t unsigned short
#endif
#endif

#ifdef INT16
#define INT16 short
#endif
#ifdef UINT16
#define UINT16 unsigned short
#endif


#include "netvar.h"

#ifdef __cplusplus
}
#endif

#endif
